import { AdaptorSubscribeTypeFn } from "../types";

export default interface Adaptor {
    subscribe(subject: string, fn: AdaptorSubscribeTypeFn): void;
    request(subject: string, req: string): Promise<string>;
    listen(serviceName: string): Promise<void>;
    stop(): Promise<void>;
}